
C
C
C     厚生年金保険財政計算システムメインプログラム
C
C
C
      PROGRAM       MAIN
C
C
      IMPLICIT INTEGER(A-Z)
      INCLUDE 'seps.inc'
C
C
      KEY=11
C
C
      WRITE(6,*) '試算番号を設定して下さい(整数：４桁)'
      READ(5,8400) INAME
C
      WRITE(6,*) '経済要素ファイル番号を設定して下さい'
      WRITE(6,*) '                (整数：４桁)'
      READ(5,8400) IECON
C
      WRITE(6,*) '外枠の試算番号を設定して下さい(整数：４桁)'
      READ(5,8500) IWNAME
C
      SEIDN=8
C
      SEIDVERKEY=0
      SEIDVER=1
C
C
C------------------------------------------
C     制御値の入力  FILE
C------------------------------------------
      CALL CNTL
C
C
      DO 2000 PSEID=0,7
C
C------------------------------------------------------
C  制度(PSEID)別の推計  SEPSD
C    ０：現厚年          １：国共            ２：ＪＲ  
C    ３：ＪＴ            ４：地共            ５：私学  
C    ６：農林            ７：旧厚年&NTT                
C------------------------------------------------------
C
C       厚生年金制度フラグの設定
C
        IF(PSEID.EQ.0 .OR. PSEID.EQ.2 .OR. PSEID.EQ.3 .OR.
     &                                         PSEID.EQ.6) THEN
          KONEN=1
        ELSE
          KONEN=0
        END IF
C
        IF(    ((KEY.EQ.1  .OR. KEY.EQ.2  .OR. KEY.EQ.4  .OR.
     &           KEY.EQ.5  .OR. KEY.EQ.7  .OR. KEY.EQ.8  .OR.
     &           KEY.EQ.11 .OR. KEY.EQ.12 .OR. KEY.EQ.13 .OR.
     &           KEY.EQ.14 .OR.
     &           KEY.EQ.21 .OR. KEY.EQ.22 .OR. KEY.EQ.23    )
     &          .AND.
     &          ((SEIDN.EQ.PSEID .AND. SEIDN.GE.1 .AND. SEIDN.LE.6) .OR.
     &           (SEIDN.EQ.0 .AND.
     &             (KONEN.EQ.1 .OR.(PSEID.EQ.7 .AND. OLDFLG.EQ.1))) .OR.
     &           (SEIDN.EQ.8 .AND.
     &             (PSEID.LE.6 .OR.(PSEID.EQ.7 .AND. OLDFLG.EQ.1))) .OR.
     &           (SEIDN.EQ.7 .AND. (KONEN.EQ.1 .OR. PSEID.EQ.7)  )) )
     &    .OR. (KEY.EQ.3)
     &    .OR. (KEY.EQ.6 .AND. (PSEID.EQ.2 .OR. PSEID.EQ.3) )     ) THEN
C
          IF((KEY.NE.3 .AND. KEY.NE.6) .AND.
     &       (SEIDN.EQ.0 .OR. SEIDN.EQ.8) .AND.
     &       (KONEN.EQ.1 .AND. PSEID.GT.0)      ) THEN
            GO TO 2000
          END IF
C
          IF(PSEID.EQ.0) WRITE(6,*) '厚生年金'
          IF(PSEID.EQ.1) WRITE(6,*) '国家公務員共済組合'
          IF(PSEID.EQ.2) WRITE(6,*) 'ＪＲ'
          IF(PSEID.EQ.3) WRITE(6,*) 'ＪＴ'
          IF(PSEID.EQ.4) WRITE(6,*) '地方公務員共済組合'
          IF(PSEID.EQ.5) WRITE(6,*) '私立学校共済組合'
          IF(PSEID.EQ.6) WRITE(6,*) '農林共済'
          IF(PSEID.EQ.7) WRITE(6,*) '厚生年金(H9統合前)&NTT'
C
          CALL SEPSD
C
        END IF
C
 2000 CONTINUE
C
C
 8200 FORMAT(I2)
 8300 FORMAT(I3)
 8400 FORMAT(I4)
 8500 FORMAT(I5)
C
C
      STOP
C
      END
C
